AWSTemplateFormatVersion: '2010-09-09'
Description: "간단한 VPC 생성 예제"

# 1. 변수 입력 (Parameters): 재사용성을 위해 값을 입력받음
Parameters:
  VpcCidr:
    Type: String
    Default: 10.0.0.0/16
    Description: "VPC의 IP 대역"

# 2. 리소스 정의 (Resources): 실제 생성할 AWS 자원
Resources:
  MyVPC:
    Type: AWS::EC2::VPC
    Properties:
      CidrBlock: !Ref VpcCidr
      EnableDnsSupport: true
      Tags:
        - Key: Name
          Value: My-CFN-VPC

# 3. 결과 출력 (Outputs): 생성된 자원의 ID나 값을 출력
Outputs:
  VpcId:
    Description: "생성된 VPC의 ID"
    Value: !Ref MyVPC
